//

uniform float xAmplitude;
uniform float xFrequency;
uniform float yAmplitude;
uniform float yFrequency;

void main()
{
		vec4 v = vec4(gl_Vertex);

		v.z = xAmplitude * (sin(xFrequency * v.x)) * yAmplitude * (sin(yFrequency * v.y));	 
		
		gl_FrontColor = gl_Color;
		gl_Position = gl_ModelViewProjectionMatrix * v;

}
