//

uniform float xAmplitude;
uniform float xFrequency;
uniform float yAmplitude;
uniform float yFrequency;
varying float xFreq;
varying float yFreq;

void main()
{
		xFreq = xFrequency * 20.0;
		yFreq = yFrequency * 20.0;
		vec4 v = vec4(gl_Vertex);

		v.z =  xAmplitude * yAmplitude * cos (sqrt (v.x*v.x*xFreq+v.y*v.y*yFreq)); 
		
		gl_FrontColor = gl_Color;
		gl_Position = gl_ModelViewProjectionMatrix * v;

}
